

const renderText = (text) => document.getElementById('message').innerText = text
const boxShape = {
  h: 100,
  w: 100,
  x: 100,
  y: 100,
  hr: false,
  wr: false,
  xr: false,
  yr: false,
  active: true
}

const myBox = new AswDragResize(document.getElementById('box'), document.getElementById('parent'),
  {
    boxShape,
    events: {
      onActive: () => renderText('active'),
      onInactive: () => renderText('inactive'),
      onDragActive: () => renderText('drag active'),
      onDragInactive: () => renderText('drag inactive'),
      onDragStart: () => renderText('drag start'),
      onDragStop: () => renderText('drag stop'),
      onDraging: () => renderText('draging'),
      onResizeActive: () => renderText('resizing active'),
      onResizeInactive: () => renderText('resizing inactive'),
      onResizeStart: () => renderText('resizing start'),
      onResizeStop: () => renderText('resizing stop'),
      onResizeing: (_, dir) => renderText('resizing ' + dir),
    }
  })
